/* --------------------------------------------------------------------------
 * SvgBallExample
 * --------------------------------------------------------------------------
 * prog:  Max Rheiner 
 * date:  03/1/2011 (m/d/y)
 * ----------------------------------------------------------------------------
 */

BouncingBall ball1;
BouncingBall ball2;
ArrayList balls = new ArrayList();


PVector      p1 = new PVector();
PVector      p2 = new PVector();
boolean      drag = false;

void setup() {
  
  size(800,600); 

  
  // svg bild soll zentriert sein
  shapeMode(CENTER);
  smooth();
  
}


void draw() {
  
  // ghosting
  fill(255,255,255,60);
  rect(0,0,width,height);
  
  if (drag) { 
    // zeichne die abschussrichtung
    line(p1.x,p1.y,p2.x,p2.y);
  }
  
  // zeichne den ball
  for (int i = balls.size()-1; i >= 0; i--) {
    
    BouncingBall ball = (BouncingBall)balls.get(i);
    ball.draw();
    
  }

}


void mousePressed() {
  drag = true;
  p1.set(mouseX,mouseY,0);
  p2.set(mouseX,mouseY,0);
}


void mouseDragged() {
  p2.set(mouseX,mouseY,0);
}


void mouseReleased() {
  
  drag = false;
  
  // abschuss staerke berechnen
  PVector dir = PVector.sub(p2,p1);
  // laenge verkuerzen
  dir.mult(.09);
  
  // der ball wird neu ausgerichtet
  int tempSize = (int)random(50, 200);
  BouncingBall tempBall = new BouncingBall(tempSize, tempSize);
  tempBall.set(new PVector(mouseX,mouseY),dir,0.995);
  balls.add(tempBall);
  
}
  
